summarylogtreecommitdiffstats
path: root/eusoft-ting-fr.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-20 09:46:13 +0800
committerzxp198210052024-03-20 09:46:13 +0800
commitb258d06e3898089c273209c11c025b0f0b1caf56 (patch)
tree2f95e286abd69152f2d96371f144d0e488e0ceb1 /eusoft-ting-fr.sh
parentc0d57e7b29f4ea04bbc090f39199af2a423638dd (diff)
downloadaur-eusoft-ting-fr-bin.tar.gz
fix errors
Diffstat (limited to 'eusoft-ting-fr.sh')
-rw-r--r--eusoft-ting-fr.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/eusoft-ting-fr.sh b/eusoft-ting-fr.sh
index 86cb3dc6a9bf..7ddcaab8d734 100644
--- a/eusoft-ting-fr.sh
+++ b/eusoft-ting-fr.sh
@@ -2,6 +2,7 @@
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
@@ -9,7 +10,7 @@ export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file